#!/tvbin/tivosh

# Quick local change updater
#
# For a quick local change, update MarketId with one
# in provided list, and reboot. To keep that local, or
# get guide data, your access card will need to be set 
# for that local market. Guide data may not populate 
# until the natural update happens.

source /tvlib/tcl/tv/mfslib.tcl
set db [dbopen]
    RetryTransaction {
        set s [db $db open /State/SatConfig]
        set mid [dbobj $s get "MarketId"]
        if { $argv != "" } {
            try {
            if { $mid != "" } {
                puts "Old Market ID was $mid."
            }
            dbobj $s set MarketId $argv
            puts "New Market ID is $argv."
            } catch errCode {
            puts "failed with: $errCode"
            }
        } else {
            if { $mid != "" } {
                puts "Current Market ID id $mid."
            } else {
                puts "No Market ID is Currently Set."
            }
        }
    }



#Hex,Decimal,City,State,Zip Code,Sat,MarketId
#01,001,Atlanta,GA,30301,101,10
#19,025,Austin,TX,78701,119*,12
#1A,026,Baltimore,MD,21201,119*,14
#1B,027,Birmingham,AL,35201,119*,22
#02,002,Boston,MA,02101,101,25
#1C,028,Charlotte,NC,28201,101,35
#03,003,Chicago,IL,60601,101,39
#1D,029,Cincinnati,OH,45201,101,41
#04,004,Cleveland,OH,44101,101,43
#1E,030,Columbus,OH,43201,101,48
#05,005,Dallas-FT. Worth,TX,75201,101,51
#06,006,Denver,CO,80201,101,54
#07,007,Detroit,MI,48201,101,56
#1F,031,Greensboro-Winston Salem,NC,27401,119*,79
#16,022,,,,,81
#08,008,Houston,TX,77001,101,90
#20,032,Indianapolis,IN,46201,101,93
#21,033,Kansas City,MO,64101,119*,100
#09,009,Los Angeles,CA,90001,101,113
#22,034,Memphis,TN,38101,119*,121
#0A,010,Miami-FT. Lauderdale,FL,33101,101,123
#23,035,Milwaukee,WI,53201,101,124
#0B,011,Minneapolis-St. Paul,MN,55401,101,125
#24,036,Nashville,TN,37201,101,132
#0C,012,New York,NY,10001,101,134
#0D,013,Orlando-Daytona,FL,32801,101,140
#0E,014,Philadelphia,PA,19101,101,147
#0F,015,Phoenix,AZ,85001,101,148
#25,037,Pittsburgh,PA,15201,119*,149
#26,038,Portland,OR,97201,101,150
#17,023,,,,,155
#10,016,Sacramento-Stockton,CA,95201,101,163
#18,024,Salt Lake City,UT,84101,101,165
#27,039,San Antonio,TX,78201,119*,167
#28,040,San Diego,CA,92101,119*,168
#11,017,San Francisco-Oakland-San Jose,CA,94101,101,169
#12,018,Seattle-Tacoma,WA,98101,101,172
#13,019,St. Louis,MO,63101,101,182
#14,020,Tampa-St. Petersburg,FL,33601,101,185
#15,021,Washington DC-Hagerstown,MD,20001,101,199
#29,041,West Palm Beach-FT. Pierce,FL,33401,,202
